pre-commit-hooks - Feature #3267

Replace Files
03/06/2016 11:49 - Erich Foster

Status: New Start date: 03/06/2016
Priority: Normal Due date:

Assignee: Sonia Pozzi % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description
Stop asking to replace hooks which are the same.

History

#1 - 03/06/2016 23:26 - Erich Foster

- Assignee changed from Erich Foster to Sonia Pozzi

Corresponding branch is ReplaceFile_3267

The following changes since commit 966b9bb02fc32e91ecfbb89c9992f20e216¢103b:

Fixed and issue where .C files were ignored. (2015-09-18 09:53:19 +0200)

are available in the git repository at:

for you to fetch changes up to 4610b46¢54d7b7f039e199bd4559a0040459dc0a:

Fixed up the copying hooks script. (2016-06-03 22:44:01 +0200)

Erich L Foster (14):

Made it so that all trailing whitespace is automatically fixed. Also, made it so that patches are applied to the current commit. Fixed issue where
installer proceeded without specified install directory.

Fixed the adding of files after reformat.

Added the automagic removal of pre-commit-compile when Makefile doesn't exist.
Fixed some weird issues with copying files.

Updated how we ask questions and check if file is the same before asking to replace.
Updated ask function.

Fixed syntax error in file comparison.

Fixed syntax error in file comparison.

Switch to cmp for file comparison.

Finally fixed file comparison.

Fixed syntax error with elif and removed cases since ask takes care of this.

Missed an fi.

Finally worked all bugs with comparing files.

Fixed up the copying hooks script.

.clang-format | 57 +++++++++++t+tttttttttttttttttttttt bttt bttt
README | 8 tit———m

README . md | 28 +++++++++-———--—m e — ———

install.sh | 200 +
pre-commit-clang-format | 54 ++++++++++++H++H+H+H+H+H+HHHHHHH A ———

pre-commit-default | 12 +++++++++—

6 files changed, 249 insertions(+), 110 deletions(-)

create mode 100644 .clang-format
